[Swift-commit] r3769 - trunk/tests/site/intrepid
noreply at svn.ci.uchicago.edu
noreply at svn.ci.uchicago.edu
Mon Dec 13 11:46:18 CST 2010
Author: wozniak
Date: 2010-12-13 11:46:18 -0600 (Mon, 13 Dec 2010)
New Revision: 3769
Added:
trunk/tests/site/intrepid/100-cp.check.sh
trunk/tests/site/intrepid/100-cp.clean.sh
trunk/tests/site/intrepid/100-cp.setup.sh
trunk/tests/site/intrepid/100-cp.swift
trunk/tests/site/intrepid/100-cp.timeout
trunk/tests/site/intrepid/sites.template.xml
trunk/tests/site/intrepid/tc.template.data
trunk/tests/site/intrepid/title.txt
Log:
Intrepid test
Added: trunk/tests/site/intrepid/100-cp.check.sh
===================================================================
--- trunk/tests/site/intrepid/100-cp.check.sh (rev 0)
+++ trunk/tests/site/intrepid/100-cp.check.sh 2010-12-13 17:46:18 UTC (rev 3769)
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -x
+
+grep $( uname -m ) 100-cp-output.txt || exit 1
+
+exit 0
Property changes on: trunk/tests/site/intrepid/100-cp.check.sh
___________________________________________________________________
Name: svn:executable
+ *
Added: trunk/tests/site/intrepid/100-cp.clean.sh
===================================================================
--- trunk/tests/site/intrepid/100-cp.clean.sh (rev 0)
+++ trunk/tests/site/intrepid/100-cp.clean.sh 2010-12-13 17:46:18 UTC (rev 3769)
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -x
+
+rm -v 100-cp-input.txt 100-cp-output.txt || exit 1
+
+exit 0
Property changes on: trunk/tests/site/intrepid/100-cp.clean.sh
___________________________________________________________________
Name: svn:executable
+ *
Added: trunk/tests/site/intrepid/100-cp.setup.sh
===================================================================
--- trunk/tests/site/intrepid/100-cp.setup.sh (rev 0)
+++ trunk/tests/site/intrepid/100-cp.setup.sh 2010-12-13 17:46:18 UTC (rev 3769)
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -x
+
+uname -a > 100-cp-input.txt || exit 1
+
+exit 0
Property changes on: trunk/tests/site/intrepid/100-cp.setup.sh
___________________________________________________________________
Name: svn:executable
+ *
Added: trunk/tests/site/intrepid/100-cp.swift
===================================================================
--- trunk/tests/site/intrepid/100-cp.swift (rev 0)
+++ trunk/tests/site/intrepid/100-cp.swift 2010-12-13 17:46:18 UTC (rev 3769)
@@ -0,0 +1,13 @@
+
+type file;
+
+app (file o) cp(file i)
+{
+ cp @i @o;
+}
+
+file input<"100-cp-input.txt">;
+file output<"100-cp-output.txt">;
+
+output = cp(input);
+
Added: trunk/tests/site/intrepid/100-cp.timeout
===================================================================
--- trunk/tests/site/intrepid/100-cp.timeout (rev 0)
+++ trunk/tests/site/intrepid/100-cp.timeout 2010-12-13 17:46:18 UTC (rev 3769)
@@ -0,0 +1 @@
+3000
Added: trunk/tests/site/intrepid/sites.template.xml
===================================================================
--- trunk/tests/site/intrepid/sites.template.xml (rev 0)
+++ trunk/tests/site/intrepid/sites.template.xml 2010-12-13 17:46:18 UTC (rev 3769)
@@ -0,0 +1,32 @@
+<config>
+
+ <pool handle="localhost" sysinfo="INTEL32::LINUX">
+ <gridftp url="local://localhost" />
+ <execution provider="local" url="none" />
+ <workdirectory>/scratch/wozniak/work</workdirectory>
+ <!-- <profile namespace="karajan" key="maxSubmitRate">1</profile> -->
+ <profile namespace="karajan" key="jobThrottle">0.04</profile>
+ <profile namespace="swift" key="stagingMethod">file</profile>
+ </pool>
+
+ <pool handle="coasters_alcfbgp">
+ <filesystem provider="local" />
+ <execution provider="coaster" jobmanager="local:cobalt"/>
+ <!-- <profile namespace="swift" key="stagingMethod">local</profile> -->
+ <profile namespace="globus" key="internalHostname">_HOST_</profile>
+ <profile namespace="globus" key="project">_PROJECT_</profile>
+ <profile namespace="globus" key="queue">_QUEUE_</profile>
+ <profile namespace="globus" key="kernelprofile">zeptoos</profile>
+ <profile namespace="globus" key="alcfbgpnat">true</profile>
+ <profile namespace="karajan" key="jobthrottle">21</profile>
+ <profile namespace="karajan" key="initialScore">10000</profile>
+ <profile namespace="globus" key="workersPerNode">1</profile>
+ <profile namespace="globus" key="workerLoggingLevel">DEBUG</profile>
+ <profile namespace="globus" key="slots">1</profile>
+ <profile namespace="globus" key="maxTime">900</profile> <!-- seconds -->
+ <profile namespace="globus" key="nodeGranularity">64</profile>
+ <profile namespace="globus" key="maxNodes">64</profile>
+ <workdirectory>_WORK_</workdirectory>
+ </pool>
+
+</config>
Added: trunk/tests/site/intrepid/tc.template.data
===================================================================
--- trunk/tests/site/intrepid/tc.template.data (rev 0)
+++ trunk/tests/site/intrepid/tc.template.data 2010-12-13 17:46:18 UTC (rev 3769)
@@ -0,0 +1 @@
+coasters_alcfbgp cp /bin/cp INSTALLED INTEL32::LINUX null
Added: trunk/tests/site/intrepid/title.txt
===================================================================
--- trunk/tests/site/intrepid/title.txt (rev 0)
+++ trunk/tests/site/intrepid/title.txt 2010-12-13 17:46:18 UTC (rev 3769)
@@ -0,0 +1 @@
+Site Test: BG/P: Intrepid
More information about the Swift-commit
mailing list